const parser = require('./Parser')
    , client = require('./Client');



const Coupang = {
    data: {
        url: 'https://www.coupang.com',
        categories: {},
        subcategories: {}
    },
    task: {
        search: (params) => {
            return client.request({ coupang: Coupang, call: 'search', query: params }).then(parser.search);
        }
    }
}

module.exports = Coupang;